[arch-commits] Commit in dosbox/trunk (PKGBUILD dosbox.desktop dosbox.png)

Andrea Scarpino andrea at archlinux.org
Sat Mar 6 16:16:51 EST 2010


    Date: Saturday, March 6, 2010 @ 16:16:51
  Author: andrea
Revision: 71364

upgpkg: dosbox 0.73-4
added .desktop and icon FS#(16344)

Added:
  dosbox/trunk/dosbox.desktop
  dosbox/trunk/dosbox.png
Modified:
  dosbox/trunk/PKGBUILD

----------------+
 PKGBUILD       |   33 ++++++++++++++++++++++-----------
 dosbox.desktop |   10 ++++++++++
 2 files changed, 32 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-06 21:13:26 UTC (rev 71363)
+++ PKGBUILD	2010-03-06 21:16:51 UTC (rev 71364)
@@ -1,25 +1,36 @@
 # $Id$
+# Maintainer: James Rayner <james at archlinux.org>
 # Contributor: Ben <ben at benmazer.net>
 
 pkgname=dosbox
 pkgver=0.73
-pkgrel=3
+pkgrel=4
 pkgdesc="An emulator with builtin DOS for running DOS Games"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://dosbox.sourceforge.net/"
 license=('GPL')
 depends=('sdl_net' 'sdl_sound' 'libgl' 'libpng' 'alsa-lib' 'gcc-libs')
 makedepends=('mesa')
-source=(http://downloads.sourceforge.net/sourceforge/dosbox/$pkgname-$pkgver.tar.gz )
-md5sums=('0823a11242db711ac3d6ebfff6aff572')
-sha1sums=('e87682f8f468f3822d2f79e38e5ddb73825fa8c1')
+source=("http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz"
+	'dosbox.png' 'dosbox.desktop')
+md5sums=('0823a11242db711ac3d6ebfff6aff572'
+         '2aac25fc06979e375953fcc36824dc5e'
+         '85169ca599028bee8e29e0b3b7b34dd8')
 
-build()
-{
-  cd "$srcdir/$pkgname-$pkgver"
+build(){
+  cd ${srcdir}/${pkgname}-${pkgver}
   sed -i 's/png_check_sig/png_sig_cmp/' configure || return 1
-  ./configure --prefix=/usr --sysconfdir=/etc/dosbox || return 1
+  ./configure --prefix=/usr \
+    --sysconfdir=/etc/dosbox || return 1
   make || return 1
-  make DESTDIR="$pkgdir" install || return 1
 }
-# vim: ts=2 sw=2 et ft=sh
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install || return 1
+
+  install -Dm644 ${srcdir}/${pkgname}.png \
+    ${pkgdir}/usr/share/pixmaps/${pkgname}.png || return 1
+  install -Dm644 ${srcdir}/${pkgname}.desktop \
+    ${pkgdir}/usr/share/applications/${pkgname}.desktop || return 1
+}

Added: dosbox.desktop
===================================================================
--- dosbox.desktop	                        (rev 0)
+++ dosbox.desktop	2010-03-06 21:16:51 UTC (rev 71364)
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Type=Application
+Encoding=UTF-8
+Name=dosbox Emulator
+GenericName=Emulator
+Comment=An emulator to run old DOS games
+Icon=dosbox
+Exec=dosbox
+Terminal=false
+Categories=Emulator;Application;

Added: dosbox.png
===================================================================
(Binary files differ)


Property changes on: dosbox/trunk/dosbox.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream



More information about the arch-commits mailing list